Subject: bug#55414: 29.0.50; Byte compilation error for the modus-themes

From: Protesilaos Stavrou <[email-masked]>
Date: Tue, 24 May 2022 07:37:02 +0300

> From: Eli Zaretskii <[email-masked]>
> Date: Mon, 23 May 2022 13:57:32 +0300
>
>> From: Protesilaos Stavrou <[email-masked]>
>> Cc: [email-masked], [email-masked]
>> Date: Mon, 23 May 2022 06:51:10 +0300
>> 
>> > Do we know what value is necessary for modus-themes to successfully
>> > byte-compile?  If so, let's increase the value separately for each
>> > case: byte compilation and native-compilation.
>> 
>> Then I should add local variables?  I am fine with this.  Just need to
>> have your verdict on the matter.
>
> No, I assumed that we could increase the global values separately for
> each case.
>
> But if you can use local values, that'd be fine with me.

I tried setting local values, both by writing them to the files and
adding them to .dir-locals.el, but they are ignored.  They are also
ignored when I visit the files, as I keep getting a warning about risky
local variables even after adding those to safe-local-variable-values
and ensuring that ignored-local-variable-values is nil.

-- 
Protesilaos Stavrou
https://protesilaos.com